services:    
    webkul_prestashop_connector_datagrid.datasource.export_mapping:
        class: Webkul\PrestashopConnectorBundle\Datasource\ExportMappingDatasource
        arguments:
            - '@webkul_prestashop_connector.repository.export_mapping'
            - '@pim_datagrid.datasource.result_record.hydrator.default'
        tags:
            - { name: oro_datagrid.datasource, type: prestashop_datasource_export_mapping }

    webkul_prestashop_connector_datagrid.datasource.credentials:
        class: '%pim_datagrid.datasource.repository.class%'
        arguments:
            - '@webkul_prestashop_connector.repository.credentials'
            - '@pim_datagrid.datasource.result_record.hydrator.default'
        tags:
            - { name: oro_datagrid.datasource, type: prestashop_datasource_credentials }
